FROM nginx:latest
COPY ./build /var/www/v3
COPY ./cert /cert
COPY ./nginx/nginx_20000_cn.conf /etc/nginx/nginx.conf
RUN \
  mkdir -p /var/log/nginx && \
  chmod 777 /var/log/nginx  && \
  touch /var/log/nginx/error.log && \
  chmod 777 /var/log/nginx/error.log && \
  touch /var/log/nginx/nginx.pid && \
  chmod 777 /var/log/nginx/nginx.pid

EXPOSE 20000
ENTRYPOINT ["nginx","-g","daemon off;"]
